package cn.hmsoft.hmplatform.identity.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "P_STD_REG", keyColumn =  "STD_ID" , sequenceName = "STD_ID")
public class PStdReg implements Serializable {
	private static final long serialVersionUID = 8395786223936762943L;
	private Integer std_id;
	private String cert_id;
	private String std_name;
	private String std_sex;
	private String std_nation;
	private String cert_addr;
	private LocalDateTime std_birthday;
	private String from_project;
	private String std_image;//考生免冠证件照地址
	private String verify_status;
	private LocalDateTime verify_time;
	
	public Integer getStd_id() {
		return std_id;
	}
	public String getCert_id() {
		return cert_id;
	}
	public String getStd_name() {
		return std_name;
	}
	public String getStd_sex() {
		return std_sex;
	}
	public String getStd_nation() {
		return std_nation;
	}
	public String getCert_addr() {
		return cert_addr;
	}
	public LocalDateTime getStd_birthday() {
		return std_birthday;
	}
	public String getFrom_project() {
		return from_project;
	}
	public String getStd_image() {
		return std_image;
	}
	public String getVerify_status() {
		return verify_status;
	}
	public LocalDateTime getVerify_time() {
		return verify_time;
	}
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}
	public void setCert_id(String cert_id) {
		this.cert_id = cert_id;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public void setStd_sex(String std_sex) {
		this.std_sex = std_sex;
	}
	public void setStd_nation(String std_nation) {
		this.std_nation = std_nation;
	}
	public void setCert_addr(String cert_addr) {
		this.cert_addr = cert_addr;
	}
	public void setStd_birthday(LocalDateTime std_birthday) {
		this.std_birthday = std_birthday;
	}
	public void setFrom_project(String from_project) {
		this.from_project = from_project;
	}
	public void setStd_image(String std_image) {
		this.std_image = std_image;
	}
	public void setVerify_status(String verify_status) {
		this.verify_status = verify_status;
	}
	public void setVerify_time(LocalDateTime verify_time) {
		this.verify_time = verify_time;
	}
	
}
